package cn.com.ctop.material.service;

import cn.com.ctop.material.entity.MaterialUploadTask;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.http.entity.mime.content.FileBody;
import org.springframework.core.io.FileSystemResource;

/**
 * 同步素材任务
 *
 * @author jeecg-boot
 * 2021-10-21
 * @version V1.0
 */
public interface IMaterialUploadTaskService extends IService<MaterialUploadTask> {
    void upload(String signature);
    public void uploadKuaiShou(MaterialUploadTask task, FileSystemResource resource, Integer type);
    public void uploadBytedance(FileBody fileBody, MaterialUploadTask task);
    public void uploadBytedanceAgent(FileBody fileBody, MaterialUploadTask task);

}
