package cn.com.ctop.material.controller;

import cn.com.ctop.material.entity.MaterialUploadTask;
import cn.com.ctop.material.service.IDowloadService;
import cn.com.ctop.material.service.IMaterialUploadTaskService;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.apache.http.entity.mime.content.FileBody;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.io.File;
import java.util.List;

/**
 * 同步素材任务
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-10-21
 */
@Slf4j
@RestController
@RequestMapping("/dowload")
public class DowloadController {
  @Autowired private IDowloadService dowloadService;

  @ResponseBody
  @GetMapping("/batch")
  public JSONObject uploadVideo(String signature) {

  List<String> urls =   dowloadService.getUrls();
    for (int i = 0; i <urls.size() ; i++) {
      String s = urls.get(i);
      String[] split = s.split("\\?");
      dowloadService.batchDowload(split[0]);
    }

    return null;
  }


}
