package cn.com.ctop.material.service.impl;

import cn.com.ctop.material.entity.MaterialUploadTask;
import cn.com.ctop.material.entity.TaskVo;
import cn.com.ctop.material.enums.MaterialEnum;
import cn.com.ctop.material.mapper.MaterialUploadTaskMapper;
import cn.com.ctop.material.service.IDowloadService;
import cn.com.ctop.material.service.IMaterialUploadTaskService;
import cn.com.ctop.material.utils.Check;
import cn.com.ctop.material.utils.HttpConstant;
import cn.com.ctop.material.utils.HttpUtils;
import cn.com.ctop.material.utils.LoadFileUtil;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.google.common.collect.Lists;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.ContentType;
import org.apache.http.entity.mime.MultipartEntityBuilder;
import org.apache.http.entity.mime.content.FileBody;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClientBuilder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.io.FileSystemResource;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.http.client.SimpleClientHttpRequestFactory;
import org.springframework.stereotype.Service;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RestTemplate;

import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.URI;
import java.nio.charset.Charset;
import java.util.*;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * 同步素材任务
 *
 * @author jeecg-boot 2021-10-21
 * @version V1.0
 */
@Service
@Slf4j
public class DowloadServiceImpl implements IDowloadService {

     private static String downloadUrl = "/Users/yumeng/videoFile/";

    private static ExecutorService submitExecutorService = Executors.newFixedThreadPool(10);
    @Autowired
    private MaterialUploadTaskMapper materialUploadTaskMapper;


    @Override
    public void batchDowload(String url) {
        submitExecutorService.submit(
                new Runnable() {
                    @Override
                    public void run() {
                        System.err.println(url);
                        String localUrl = LoadFileUtil.downLoadFromUrl(url, downloadUrl);
                        System.err.println(localUrl);

                    }
                });
    }

    @Override
    public List<String> getUrls() {
        return materialUploadTaskMapper.getUrls();
    }


}
